---
updatedAt: 2025-10-12T20:28:05.000Z
agentTools:
  projectIndex: https://docs.checkhq.com/llms.txt
---

# Get a contractor pay statement

Returns the specified pay statement for the given contractor and payroll.

By default get the response as JSON. Use an `Accept: application/pdf` request header to download the paystub as a PDF document.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "check-api",
    "version": "2025-01-01"
  },
  "servers": [
    {
      "url": "https://sandbox.checkhq.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer",
        "x-default": "YOUR_API_KEY"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/contractors/{contractor}/payments/{payroll}": {
      "get": {
        "summary": "Get a contractor pay statement",
        "description": "Returns the specified pay statement for the given contractor and payroll.\n\nBy default get the response as JSON. Use an `Accept: application/pdf` request header to download the paystub as a PDF document.",
        "operationId": "get-a-contractor-pay-statement",
        "parameters": [
          {
            "name": "contractor",
            "in": "path",
            "description": "Return paystub for this contractor ID",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "payroll",
            "in": "path",
            "description": "Return the paystub for this payroll ID",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "Accept",
            "in": "header",
            "description": "Either `application/pdf` or `application/json`",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"payroll\": \"pay_ZJySEmsnnRVerLTcRNYx\",\n  \"payday\": \"2020-12-01\",\n  \"period_start\": \"2020-12-01\",\n  \"period_end\": \"2020-12-15\",\n  \"company\": {\n    \"trade_name\": \"Stark Industries\",\n    \"legal_name\": \"Stark Industries, Inc.\",\n    \"address\": {\n      \"line1\": \"100 Crosby Street\",\n      \"line2\": \"Suite 306\",\n      \"city\": \"New York\",\n      \"state\": \"NY\",\n      \"postal_code\": \"10012\",\n      \"country\": \"US\"\n    },\n    \"phone\": null\n  },\n  \"void_of\": null,\n  \"voided_by\": null,\n  \"contractor\": {\n    \"first_name\": \"Tony\",\n    \"middle_name\": null,\n    \"last_name\": \"Stark\",\n    \"type\": \"individual\",\n    \"business_name\": null,\n    \"email\": \"tonystark@gmail.com\",\n    \"ssn_last_four\": null,\n    \"ein\": null,\n    \"address\": {\n      \"line1\": \"801 N Brand Blvd #700\",\n      \"line2\": null,\n      \"city\": \"Glendale\",\n      \"state\": \"CA\",\n      \"postal_code\": \"91203\",\n      \"country\": \"US\"\n    }\n  },\n  \"net_pay\": \"1015.00\",\n  \"net_pay_ytd\": \"1015.00\",\n  \"amount\": \"1000.00\",\n  \"amount_ytd\": \"1000.00\",\n  \"reimbursement_amount\": \"15.00\",\n  \"reimbursement_amount_ytd\": \"15.00\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "payroll": {
                      "type": "string",
                      "example": "pay_ZJySEmsnnRVerLTcRNYx"
                    },
                    "payday": {
                      "type": "string",
                      "example": "2020-12-01"
                    },
                    "period_start": {
                      "type": "string",
                      "example": "2020-12-01"
                    },
                    "period_end": {
                      "type": "string",
                      "example": "2020-12-15"
                    },
                    "company": {
                      "type": "object",
                      "properties": {
                        "trade_name": {
                          "type": "string",
                          "example": "Stark Industries"
                        },
                        "legal_name": {
                          "type": "string",
                          "example": "Stark Industries, Inc."
                        },
                        "address": {
                          "type": "object",
                          "properties": {
                            "line1": {
                              "type": "string",
                              "example": "100 Crosby Street"
                            },
                            "line2": {
                              "type": "string",
                              "example": "Suite 306"
                            },
                            "city": {
                              "type": "string",
                              "example": "New York"
                            },
                            "state": {
                              "type": "string",
                              "example": "NY"
                            },
                            "postal_code": {
                              "type": "string",
                              "example": "10012"
                            },
                            "country": {
                              "type": "string",
                              "example": "US"
                            }
                          }
                        },
                        "phone": {}
                      }
                    },
                    "void_of": {},
                    "voided_by": {},
                    "contractor": {
                      "type": "object",
                      "properties": {
                        "first_name": {
                          "type": "string",
                          "example": "Tony"
                        },
                        "middle_name": {},
                        "last_name": {
                          "type": "string",
                          "example": "Stark"
                        },
                        "type": {
                          "type": "string",
                          "example": "individual"
                        },
                        "business_name": {},
                        "email": {
                          "type": "string",
                          "example": "tonystark@gmail.com"
                        },
                        "ssn_last_four": {},
                        "ein": {},
                        "address": {
                          "type": "object",
                          "properties": {
                            "line1": {
                              "type": "string",
                              "example": "801 N Brand Blvd #700"
                            },
                            "line2": {},
                            "city": {
                              "type": "string",
                              "example": "Glendale"
                            },
                            "state": {
                              "type": "string",
                              "example": "CA"
                            },
                            "postal_code": {
                              "type": "string",
                              "example": "91203"
                            },
                            "country": {
                              "type": "string",
                              "example": "US"
                            }
                          }
                        }
                      }
                    },
                    "net_pay": {
                      "type": "string",
                      "example": "1015.00"
                    },
                    "net_pay_ytd": {
                      "type": "string",
                      "example": "1015.00"
                    },
                    "amount": {
                      "type": "string",
                      "example": "1000.00"
                    },
                    "amount_ytd": {
                      "type": "string",
                      "example": "1000.00"
                    },
                    "reimbursement_amount": {
                      "type": "string",
                      "example": "15.00"
                    },
                    "reimbursement_amount_ytd": {
                      "type": "string",
                      "example": "15.00"
                    },
                    "net_pay_split": {
                      "type": "object",
                      "nullable": true,
                      "description": "Net pay split details for direct deposit payments. Only returned when `payment_method` is `direct_deposit`.",
                      "properties": {
                        "id": {
                          "type": "string",
                          "description": "ID of the net pay split (`nps_…`)."
                        },
                        "is_default": {
                          "type": "boolean"
                        },
                        "deactivated_at": {
                          "type": "string",
                          "nullable": true,
                          "format": "date-time"
                        },
                        "deactivated_reason": {
                          "type": "string",
                          "nullable": true
                        },
                        "splits": {
                          "type": "array",
                          "description": "Materialized split payments for this payroll item or contractor payment.",
                          "items": {
                            "type": "object",
                            "properties": {
                              "payment_id": {
                                "type": "string",
                                "description": "ID of the payment for this split (`pyt_…`). Use with the paper check endpoint's `payment_id` query parameter to reissue a single failed direct deposit."
                              },
                              "allocated_amount": {
                                "type": "string",
                                "description": "Amount allocated to this split."
                              },
                              "bank_account": {
                                "type": "object",
                                "properties": {
                                  "id": {
                                    "type": "string"
                                  },
                                  "institution_name": {
                                    "type": "string",
                                    "nullable": true
                                  },
                                  "type": {
                                    "type": "string",
                                    "nullable": true
                                  },
                                  "subtype": {
                                    "type": "string",
                                    "nullable": true
                                  },
                                  "mask": {
                                    "type": "string",
                                    "nullable": true
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```